import { BaseTextFieldProps } from '@material-ui/core';
import * as React from 'react';


export interface UtilTextFieldProps extends BaseTextFieldProps {
  /**
   * Type of format
   */
  type: 'cpf' | 'cnpj' | 'cep' | 'telephone', 
  /**
   * Callback fired when the value change
   *
   * @param event — The event source of the callback
   *
   * @param value — The new value of the component
   */
  onChange?: ((event: React.ChangeEvent<{}>, value: any) => void) | undefined 
}


declare function UtilTextField(props: UtilTextFieldProps): JSX.Element

export default UtilTextField;