"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../../utils");
var core_1 = require("@material-ui/core");
var react_1 = __importStar(require("react"));
var react_maskedinput_1 = __importDefault(require("react-maskedinput"));
var cepMaskedInput = { inputComponent: function (props) { return react_1.default.createElement(react_maskedinput_1.default, __assign({ mask: '11111-111' }, props)); } };
var cpfMaskedInput = { inputComponent: function (props) { return react_1.default.createElement(react_maskedinput_1.default, __assign({ mask: '111.111.111-11' }, props)); } };
var cnpjMaskedInput = { inputComponent: function (props) { return react_1.default.createElement(react_maskedinput_1.default, __assign({ mask: '11.111.111/1111-11' }, props)); } };
var telephoneMaskedInput = { inputComponent: function (props) { return react_1.default.createElement(react_maskedinput_1.default, __assign({ mask: '(11) 111111111' }, props)); } };
var UtilTextField = function (_a) {
    var type = _a.type, onChange = _a.onChange, props = __rest(_a, ["type", "onChange"]);
    var standard = react_1.useMemo(function () {
        var standardObject = {
            valueHandler: function (value) { return value; },
            InputProps: {},
            label: ''
        };
        switch (type) {
            case 'cep':
                standardObject.valueHandler = function (value) { return utils_1.numbersOnly(value); };
                standardObject.InputProps = __assign({}, cepMaskedInput);
                standardObject.label = 'CEP';
                break;
            case 'cpf':
                standardObject.valueHandler = function (value) { return utils_1.numbersOnly(value); };
                standardObject.InputProps = __assign({}, cpfMaskedInput);
                standardObject.label = 'CPF';
                break;
            case 'cnpj':
                standardObject.valueHandler = function (value) { return utils_1.numbersOnly(value); };
                standardObject.InputProps = __assign({}, cnpjMaskedInput);
                standardObject.label = 'CNPJ';
                break;
            case 'telephone':
                standardObject.valueHandler = function (value) { return utils_1.numbersOnly(value); };
                standardObject.InputProps = __assign({}, telephoneMaskedInput);
                standardObject.label = 'TELEFONE';
                break;
            default:
                break;
        }
        return standardObject;
    }, [type]);
    var handleOnChange = function (event) {
        var newValue = event.target.value;
        newValue = standard.valueHandler(newValue);
        onChange(event, newValue);
    };
    return (react_1.default.createElement(core_1.TextField, __assign({}, props, { label: (props === null || props === void 0 ? void 0 : props.label) || standard.label, InputProps: __assign(__assign({}, standard.InputProps), ((props === null || props === void 0 ? void 0 : props.InputProps) || {})), onChange: handleOnChange })));
};
exports.default = UtilTextField;
