import { TextFieldProps } from '@material-ui/core';
import { CSSProperties } from 'react';


export interface ContactValidationInputProps {
  /**
   * Component id
   */
  id?: string, 
  /**
   * Component type
   */
  type: ('cellphone' | 'email'), 
  /**
   * MUI TextField props object
   */
  textFieldProps?: TextFieldProps, 
  /**
   * Component style
   */
  style?: CSSProperties, 
  /**
   * Component css className
   */
  className?: string, 
  /**
   * Disabled prop
   * If true disable the component
   */
  disabled?: boolean, 
  /**
   * User CPF document number
   * Required to use the component
   */
  cpf: string, 
  /**
   * User name
   * Required to use the component
   */
  userName: string, 
  /**
   * Input value
   */
  value: string, 
  /**
   * Function called on change
   * @param event
   * @returns
   */
  onChange: (event: Event) => void, 
  /**
   * Function called when component state change
   * @param state
   * @returns
   */
  getComponentData?: (state: object) => void 
}


declare function ContactValidationInput(props: ContactValidationInputProps) : JSX.Element

export default ContactValidationInput;