import { GREEN_COLOR, SealIcon } from './ContactValidationInput';
import { Button, Dialog, Grid, Typography } from '@material-ui/core';
import React from 'react';


const SealModal = ({ open, proceed }) => {

  const containerStyle = { 
    padding: 20, 
    gap: 20 
  };

  const buttonsContainerStyle = { gap: 20 };
  const headerContainerStyle = { gap: 10 };

  const onClose = () => proceed({ status: false });


  return <Dialog {...{ open, onClose }}>
    <Grid container direction='column' style={containerStyle}>
      <Grid container alignItems='center' style={headerContainerStyle}>
        <Typography variant='h6'>
          Chancela
        </Typography>
        <SealIcon color={GREEN_COLOR} size={20} />
      </Grid>
      <div>
        <Typography>
          Ao confirmar você estará validando o contato com um selo especial
        </Typography>
      </div>
      <Grid container justifyContent='flex-end' style={buttonsContainerStyle}>
        <Button onClick={onClose}>
          Voltar
        </Button>
        <Button 
          color='primary' 
          variant='contained' 
          onClick={(event) => proceed({ status: true })}
        >
          Confirmar
        </Button>
      </Grid>
    </Grid>
  </Dialog>;
};


export default SealModal;